#
# spec file for package perl-Devel-StackTrace-AsHTML
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-StackTrace-AsHTML
Version:        0.15
Release:        lp150.1.3
%define cpan_name Devel-StackTrace-AsHTML
Summary:        Displays stack trace in HTML
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-StackTrace-AsHTML/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Devel::StackTrace)
%{perl_requires}

%description
Devel::StackTrace::AsHTML adds 'as_html' method to Devel::StackTrace which
displays the stack trace in beautiful HTML, with code snippet context and
function parameters. If you call it on an instance of
Devel::StackTrace::WithLexicals, you even get to see the lexical variables
of each stack frame.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Apr  4 2016 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Devel-StackTrace-AsHTML/Changes
  0.15  2016-04-01 12:23:25 PDT
  - Switch to Milla (haarg)
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.14
  - Get subroutine arguments from the next frame too
  - Fixed the use of $frame->subroutine since it returns a subroutine that is *invoked* on that
    call frame, rather than what the frame is *in*. Fixed to peek the next frame to get the
    current subroutine. (Caelum)
* Sat Apr 30 2011 coolo@opensuse.org
- updated to 0.11
  - You should now pass the error message in 'message' parameter explicitly to display as an error
  - Use the first frame, not the second frame to capture error message
  - Don't ignore the top frame. This should be donw using the ignore_package option (Jonathan Swartz)
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Sep 21 2010 dbahi@novell.com
- put back the perl version dependency but removed
  the '(perl)' from perl(perl) >= 5.8.1
  as it causes an osc build failure
* Tue Sep 21 2010 dbahi@novell.com
- initial package 0.09
  * created by cpanspec 1.78
